Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
X11 ATI question[solved]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Kernel & Hardware
View previous topic :: View next topic  
Author Message
jserink
l33t
l33t


Joined: 30 Jan 2004
Posts: 944

PostPosted: Mon Jan 05, 2015 1:52 pm    Post subject: X11 ATI question[solved] Reply with quote

Hi All:

If I am using [ebuild R ] x11-drivers/xf86-video-ati-7.3.0 USE="udev -glamor" 0 KiB

Now note that I have the use flag -glamor set.

so here is my question:
if I have the -glamor use flag set, do I still have to have x11-libs/glamor installed?

i unmerged it and nothing is complaining but the Xorg site says it used for 2D acceleration. Is it used even if I set -glamor for the above dirver?

Cheers,
john


Last edited by jserink on Tue Jan 06, 2015 1:31 pm; edited 1 time in total
Back to top
View user's profile Send private message
ct85711
Veteran
Veteran


Joined: 27 Sep 2005
Posts: 1725

PostPosted: Mon Jan 05, 2015 3:50 pm    Post subject: Reply with quote

Well, a easy way to see if any installed package needs that package (also works even if the package isn't installed) is run
Code:
equery d glamor
Also, if depclean removed it without any complaints you are fine too (it's always safer to use --depclean over -C when removing any package).
Back to top
View user's profile Send private message
jserink
l33t
l33t


Joined: 30 Jan 2004
Posts: 944

PostPosted: Tue Jan 06, 2015 6:31 am    Post subject: Reply with quote

Problem with equery is that it tells me that xf86-video-ATI depends on glamor, even though its set as -glamor for use flags. I just did emerge -C glamor then ran emerge -uDp system and emerge -uDp world and the portage did not try and reinstall glamor so that means its not needed?

Guess so, will leave it out then.

Cheers,
John
Back to top
View user's profile Send private message
ct85711
Veteran
Veteran


Joined: 27 Sep 2005
Posts: 1725

PostPosted: Tue Jan 06, 2015 4:33 pm    Post subject: Reply with quote

jserink, you was misreading what equery was telling you. Here's a sample of a equery post from my system for opengl flag.

Code:
media-libs/glu-9.0.0-r1 (>=virtual/opengl-7.0-r1[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?])

media-libs/libsdl-1.2.15-r8 (opengl ? >=virtual/opengl-7.0-r1[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?])


On the first one, it shows it has a direct dependency of virtual/opengl (note the >=virtual/opengl).
The second package shows it's a conditional dependency backed on a use flag ( note the opengl ? >=virtual/opengl).
Because the second package has a conditional dependency, based on if the use flag is set or not; determines if virtual/opengl is needed or not.

As for the xf86-video-ati, it's following the second pattern, hence it is only a conditional dependency based on the glamor flag.
Code:

ct85711@Oate ~ $ equery d -a glamor
 * These packages depend on glamor:
x11-drivers/xf86-video-ati-7.3.0 (glamor ? >=x11-libs/glamor-0.6)
...
[/code]
Back to top
View user's profile Send private message
jserink
l33t
l33t


Joined: 30 Jan 2004
Posts: 944

PostPosted: Wed Jan 07, 2015 4:42 am    Post subject: Reply with quote

Ahhhh.....
No I c.

This is why I love gentoo.

Cheers and thanx for that.
John
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Kernel & Hardware All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum